%define date 20000120
%define version 0.8.9
%define release 0.pre2mdk

Name: pnm2ppa
Summary: drivers for printing with HP's PPA printers
Obsoletes: ppa
Version:  %version
Release: %release
URL: http://www.sourceforge.net/projects/?group_id=1322 
Source: http://download.sourceforge.net/pnm2ppa/pnm2ppa-%{date}.tar.bz2
Source1: http://www.httptech.com/ppa/files/ppa-0.8.6.tar.bz2
Patch: pnm2ppa-20000120-20000208.diff
Patch1: pnm2ppa-config.diff
Patch2: pbm2ppa-20000205.diff
Copyright: GPL
Group: Publishing
Buildroot: /var/tmp/pnm2ppa-buildroot
Packager: The pnm2ppa team <ppa-rpms@users.sourceforge.net>
#Vendor: The pnm2ppa  project
%define topdir pnm2ppa

%description
pnm2ppa is an experimental color driver for HP's PPA ``host-based''
printers HP710C, 712C, 720C, 722C, 820Cse, 820Cxi, 1000Cse, and 1000Cxi.  
It accepts ghostscript output (-sDEVICE=ppmraw) in ppm (portable pixmap) 
format, and sends it to the printer in PPA format.  pbm2ppa is an older 
stable black-only driver for these printers; it accepts pbm (portable bitmap) 
format (-s DEVICE=pbmraw).

pnm2ppa is an alpha-quality release, patched with some subsequent
CVS updates.  pbm2ppa is the (1988) ppa-0.8.6 release, patched with minor 
updates from the CVS.  For information, see the pnm2ppa project homepage at 
http://www.sourceforge.net/projects/?group_id=1322 .

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q -n %{topdir}
# pnm2ppa cvs updates
%patch -p1
# patch pnm2ppa.conf
%patch1 -p1

#pbm2ppa source
%setup -T -D -a 1 -n %{topdir}
%patch2 -p0


%build
make 
cd pbm2ppa-0.8.6
make


%install
install -d $RPM_BUILD_ROOT/usr/man/man1
install -m 0644  docs/en/pnm2ppa.1 $RPM_BUILD_ROOT/usr/man/man1

install -d $RPM_BUILD_ROOT/usr/bin
install -d $RPM_BUILD_ROOT/etc
make INSTALLDIR=$RPM_BUILD_ROOT/usr/bin CONFDIR=$RPM_BUILD_ROOT/etc install

install -m 0755 utils/Linux/detect_ppa $RPM_BUILD_ROOT/usr/bin/
install -m 0755 utils/Linux/test_ppa $RPM_BUILD_ROOT/usr/bin/
install -m 0755 pbm2ppa-0.8.6/pbm2ppa  $RPM_BUILD_ROOT/usr/bin/
install -m 0755 pbm2ppa-0.8.6/pbmtpg   $RPM_BUILD_ROOT/usr/bin/
install -m 0755 pbm2ppa-0.8.6/pbm2ppa.conf   $RPM_BUILD_ROOT/etc
install -m 0755 pbm2ppa-0.8.6/pbm2ppa.1   $RPM_BUILD_ROOT/usr/man/man1


install -d  $RPM_BUILD_ROOT/usr/doc/pnm2ppa-%version/pnm2ppa
install -d  $RPM_BUILD_ROOT/usr/doc/pnm2ppa-%version/pbm2ppa     
install -m 0644 test.ps $RPM_BUILD_ROOT/usr/doc/pnm2ppa-%{version}/pnm2ppa

cd $RPM_BUILD_DIR/%{topdir}/docs/en
install -m 0644 INSTALL.REDHAT.txt  $RPM_BUILD_ROOT/usr/doc/pnm2ppa-%{version}
install -m 0644 INSTALL.REDHAT.html $RPM_BUILD_ROOT/usr/doc/pnm2ppa-%{version}
for file in CALIBRATION CREDITS INSTALL LICENSE README  TODO ; do
  if  [ -f $file ] ; then
     install -m 0644  $file $RPM_BUILD_ROOT/usr/doc/pnm2ppa-%{version}/pnm2ppa
  fi
done
cd $RPM_BUILD_DIR/%{topdir}/pbm2ppa-0.8.6
for file in CALIBRATION CREDITS INSTALL INSTALL-MORE LICENSE README ; do
  if [ -f $file ] ; then
    install -m 0644  $file $RPM_BUILD_ROOT/usr/doc/pnm2ppa-%{version}/pbm2ppa
  fi
done


%clean
rm -rf $RPM_BUILD_ROOT 


%files 
%defattr(-,root,root)
/usr/bin/pnm2ppa
/usr/bin/pbm2ppa
/usr/bin/pbmtpg
/usr/bin/calibrate
/usr/bin/test_ppa
/usr/bin/detect_ppa
/usr/man/man1/pnm2ppa.1*
/usr/man/man1/pbm2ppa.1*
%config /etc/pnm2ppa.conf
%config /etc/pbm2ppa.conf
%docdir  /usr/doc/pnm2ppa-%{version}
%attr(-,root,root) /usr/doc/pnm2ppa-%{version}


%changelog
* Thu Apr 20 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.8.9-0.pre2mdk
- fixed group

* Wed Mar 08 2000 <pablo@mandrakesoft.com> 0.8.9-0.pre1mdk
- "mandrakeized" the spec file (changed version/release to match mdk
  conventions; changed %files section to allow for bzipped man pages,
  removed the %%{date} from description (it breaks automatic translation
  scheme), and bzipped source files)

* Sun Feb 6 2000 <duncan_haldane@users.sourceforge.net>
- new pnm2ppa release,  and add pbm2ppa driver.

* Thu Jan 7 2000 <duncan_haldane@users.sourceforge.net>
- created rpm



